import request from '@/utils/request'

// 查询个微SOP列表
export function listWxSop(query) {
  return request({
    url: '/wx/wxSop/list',
    method: 'get',
    params: query
  })
}

// 查询个微SOP详细
export function getWxSop(id) {
  return request({
    url: '/wx/wxSop/' + id,
    method: 'get'
  })
}

// 新增个微SOP
export function addWxSop(data) {
  return request({
    url: '/wx/wxSop',
    method: 'post',
    data: data
  })
}

// 修改个微SOP
export function updateWxSop(data) {
  return request({
    url: '/wx/wxSop',
    method: 'put',
    data: data
  })
}

// 删除个微SOP
export function delWxSop(id) {
  return request({
    url: '/wx/wxSop/' + id,
    method: 'delete'
  })
}

// 导出个微SOP
export function exportWxSop(query) {
  return request({
    url: '/wx/wxSop/export',
    method: 'get',
    params: query
  })
}

// 批量执行个微SOP
export function updateWxStatus(ids) {
  return request({
    url: '/qw/sop/updateWxStatus/' + ids,
    method: 'get'
  })
}
